version: '3.2'

services:

    # environment overrides used on a demo ec2 instance:

    agent:
        environment:
            # NOTE: set your gitlab.com registry token in your shell environment:
            - REGISTRY_USER=${ASTROMETRY_DEPLOY_USER}
            - REGISTRY_TOKEN=${ASTROMETRY_DEPLOY_TOKEN}
            - AGENT_ENABLED=1
            - CORS_ENABLED=1
            - ASTROMETRY_AGENT_EXECUTOR=swarm
            - ASTROMETRY_AGENT_ENDPOINT=http://agent:3000/agent/
            - ASTROMETRY_SWARM_NETWORK=astrometry_astrometry
            - ASTROMETRY_AGENT_AWS_ACCESS_KEY_ID=${AWS_ACCESS_KEY_ID}
            - ASTROMETRY_AGENT_AWS_SECRET_ACCESS_KEY=${AWS_SECRET_ACCESS_KEY}
            - ASTROMETRY_AGENT_AWS_DEFAULT_REGION=us-east-1
            - ASTROMETRY_S3_ENDPOINT_URL=http://s3.amazonaws.com
            - ASTROMETRY_BUCKET=astrometry-jobs
            - ASTROMETRY_ELASTIC_HOST=${ASTROMETRY_ELASTIC_HOST}
